Introduction to Remote Recover

Remote Recover 2.0
Copyright © 1999-2002 Winternals Software
www.winternals.com

Welcome to Remote Recover, the tool that gives you total access to remotely configure and repair the disks of any system connected to your network. Remote Recover lets you easily repair Windows XP/2000/NT/9x/Me environments, and eliminates the need to install an operating system on a PC before formatting.

How does Remote Recover work?

Remote Recover lets you boot a PC using a floppy disk or PXE-downloaded image to access the drives remotely from a Windows XP/2000/NT system- regardless of whether the drives are formatted as FAT or NTFS. Remote Recover uses your network to make the disks on other machines become accessible exactly as if they were installed on your own system. Remote Recover does not require an operating system to be installed on the target machine in order to operate, making it perfect for repairing or restoring dead systems and performing installations on new machines.

Unlike other network products, Remote Recover lets you perform any operation on the remote disk you can perform on your local disks. You can:

  • Partition the disk using Disk Administrator, Partition Magic, etc.

  • Format drives as FAT or NTFS in preparation for installing or restoring from backup.

  • Run CHKDSK or other disk repair software to resolve disk errors that prevent the system from booting.

  • Run anti-virus programs to sanitize infected files safely, while target systems are offline.

  • Restore file systems from backup.

  • Replace missing or corrupt system files that cause errors during the boot process.

  • Salvage or back up data from drives prior to reformatting/reinstalling.

Remote Recover also safely resets local administrator passwords on any system where these may have been lost or locked out. And, when used in conjunction with our FAT32 for Windows NT 4.0 driver, Remote Recover can also mount and access FAT32 drives used by Windows 95/98 and Windows 2000.


Installation Overview

Remote Recover consists of three components:

  • A host program, executed on a functioning XP/2000/NT server or workstation, that is used to access systems in need of repair;

  • One or more client boot diskettes that are used to boot systems being repaired; and

  • A client wizard that is used to create the client boot diskettes or a PXE boot image.

To install Remote Recover, run the Setup program on the Windows XP/2000/NT workstation or server that you will use to access and repair other systems on your network. Once installed, the program allows you to create the boot diskettes or PXE boot image used to access the machines you wish to repair.

Requirements

You must have the following components in order to install and run Remote Recover:

  • A Windows NT 4.0 Workstation or Server (Service Pack 6 or higher), Windows 2000/XP Professional, or Windows 2000 Server installation .

  • Internet Explorer 4.0 or higher.

  • Network using the TCP/IP protocol.

  • A network interface card and corresponding NDIS2 driver for each client system.

If you choose to boot client systems using a Remote Recover client floppy disk:

  • A formatted floppy diskette for each client boot diskette you require. Remote Recover includes a copy of DR-DOS, which is normally used to make the diskette bootable, or you may use your own copy of MS-DOS (version 5.0 or higher).

If you choose to boot client systems using the Remote Recover PXE boot image:

  • A DCHP server that supports the PXE boot protocol. The client system must have a network interface card that implements PXE.


Licensing

The first time you run Remote Recover you will be asked to enter your license key. Your license key is a text file that identifies the product(s) you have licensed, the number of seats you have, and the name of the company and individual for whom the license was issued.

If you have not yet been issued a license key then click the "Register an already purchased copy" link, which will take you to the Licensing web page. If you already have your license key then paste the information into the text box, or use the browse button to open the file containing your license key. Once you have entered your license key you will not be required to enter it again.


Creating a Client Boot Diskette

Creating a Client Boot Diskette or PXE Boot Image

You must run the Client Wizard, accessible from the Tools menu in Remote Recover, in order to create boot diskettes and/or a PXE boot image for machines you wish to access with Remote Recover.

There is nothing that prevents the same boot diskette from being used with more than one machine, but because the boot diskette is customized for use with a particular type of network interface card (NIC) you will need at least one diskette for each type of NIC used in your organization.

To create a client boot diskette you will need:

  • A blank formatted diskette. Remote Recover will install DR-DOS on the diskette by default, or you can use a diskette with MS-DOS already installed.

  • The Windows NT 4.0 Server installation CD-ROM, or a copy of the ‘\Clients\MSClient’ directory from the Windows NT 4.0 Server CD-ROM. If the Windows NT 4.0 CD-ROM is unavailable then you can download the necessary files from Microsoft’s website during diskette creation.

  • An NDIS2 network interface card driver appropriate for the NIC used by the client machine. NDIS2 is a 16-bit protocol stack that is often used to provide connectivity between Windows NT and Windows for Workgroups 3.1 systems, and is supported by most NIC manufacturers.

To create a PXE boot image you will need:

  • The machine(s) you wish to repair to have PXE-capable network adapters.

  • A DHCP server that supports the PXE boot protocol

The Client Wizard will take you through the following setup screens:

  • Welcome screen: Click Next to proceed.

  • Specify the type of Remote Recover Client: Specify whether you are creating a DOS boot diskette or a PXE boot image and press Next to continue.

If you are creating a DOS boot diskette:

  • Security Options: You may configure your client to accept connections only from trusted hosts. Select whether you wish the client to accept connections from any host, from the machine on which you are running the Client Wizard, or from hosts providing a given password.

  • Locate MS Client 3.0 folder: Remote Recover utilizes several files from Microsoft Client 3.0, available on the Windows NT 4.0 Server CD-ROM in the \Clients\MSClients directory, as well as from Microsoft’s website.

    • If you already have Microsoft Client 3.0, press Next and locate the MSClient folder.

    • Otherwise, click the hyperlink to download and install the necessary files, then press Next.

  • Select Network Address: Choose a TCP/IP address to use for the client system. If you wish the Client to be assigned an address using DHCP select the DHCP option; otherwise, you must provide a static IP address. If using a static IP address in a DHCP environment please consult your DHCP server to see which addresses are reserved for static assignment, and select an address from that range.

  • Select Network Adapter: Select the type of NIC adapter the client machine uses. If your card is not listed use the Browse button to select an OEM-provided NDIS2 driver. You cannot use an NDIS3 driver in place of NDIS2. If you do not have an NDIS driver please contact your network card manufacturer. (NDIS2 drivers are typically listed along with Windows for Workgroups 3.1, MS-DOS and other 16-bit drivers.)

  • Adapter Resources: Displays the default resources that are used by your network adapter. If these are not correct you can select a resource and press the Change button to modify them.

  • Disk Creation: Click Next to proceed.

  • Update Client Diskette: This step will copy all necessary files to the client diskette. Place a formatted diskette in your A: drive and press Next. All files on the diskette will be deleted except those used for booting MS-DOS (COMMAND.COM, IO.SYS, MSDOS.SYS) or DR-DOS (COMMAND.COM, IBMBIO.COM, IBMDOS.COM). If the disk is not already bootable it will be made bootable by installing DR-DOS. If you wish to edit the contents of the CONFIG.SYS or AUTOEXEC.BAT files, or to add additional files to the diskette, you must do so after the diskette has been updated by Remote Recover.

  • Finish: At this point you should be ready to boot the client machine with the diskette and start the Remote Recover program.

If you are creating a PXE boot image:

  • Security Options: You may configure your client to accept connections only from trusted hosts. Select whether you wish the client to accept connections from any host, from the machine on which you are running the Client Wizard, or from hosts providing a given password.

  • Image Destination: Enter the name of the boot image destination file. When you press Next the image is created.

  • Finish: At this point you should configure your DHCP server to point at the boot image and be ready to boot the client machine using its PXE-capable network adapter.


Starting Remote Recover

Once you have created one or more client diskettes or created a PXE boot image and configured your DHCP server's remote boot, you are ready to begin making connections to client machines.

To make a connection to a client machine:

  • If you have created a client diskette:

    • Insert the client boot diskette you have created in drive A: of the client machine and boot it. You should be able to see it load several network drivers, and then start the Remote Recover client program. See the screen shot below for an example of the client program’s appearance when running.

Otherwise, if you have created a PXE boot image:

    • Boot the client system using your network adapter's PXE boot capability

  • Start the Remote Recover host software. When started, Remote Recover broadcasts a query on your network, and any clients receiving the broadcast should automatically respond and appear in the left-hand Remote Recover window. See the screen shot below for reference.

  • If your client machines are not accessible to the host via network broadcast (for example, if they are on a different subnet), then use the Add IP option in the File menu to specify the IP address of the machine you wish to connect to. Press the Refresh button to check again whether the machines are visible.

  • Connect to the system you want to repair by selecting Connect from the File menu or the context menu. A list of physical disks attached to the system will appear beneath it in the left side of the Remote Recover window.

  • To mount one or more disks for access on the host machine select a disk or system in the left-side window and select Mount from the File menu or from the context menu, which is accessible by right-clicking. The selected drives are assigned drive letters if possible (there are available driver letters) and appear in disk management window on the right. You can then access them from any Windows applications, including Explorer, just as you do any other drive on your system.

  • When you are finished, select the system or disk from the right-side window and select Unmount from the File or context menu. Be sure that no programs are accessing mounted volumes when you unmount them or an error will display. When no systems are left mounted you can exit the program.

Client Screen shot:


Using Remote Recover

Using Remote Recover under Windows 2000/XP

Once Remote Recover is running and you have mounted one or more client drives, you can access those drives just as you do any other drive on your system.

Accessing and Copying Files

You can use Remote Recover to access and copy files on the remote systems by simply mounting the drives you need access to and using Explorer to drag and drop files. Other Windows applications work equally well with Remote Recover drives. You can even run applications that reside on the remote drive.

Disk Management Under Windows 2000/XP

If you run Remote Recover on Windows 2000 or Windows XP then an instance of the Windows Disk Management utility appears in the right side of the Remote Recover window. When you select a client disk in the left pane the corresponding disk entry in the right side is highlighted with a red label. You can perform standard Disk Management tasks in the right side of the window, including formatting, assigning and removing drive letters, opening, and viewing drive properties.

Tools

The Tools menu allows you to easily launch an external Disk Management console window, launch a Disk Defragmenter window to defragment the volumes of client systems, and to run Locksmith to change local account password of Windows NT/2000/XP installations on client systems.


Using Remote Recover under Windows NT

When you run Remote Recover on a Windows NT 4.0 host system disks of client systems to which you connect appear in a Disk Adminsitrator-like view on the right side of the Remote Recover window. Although Remote Recover disk view resembles the Windows 2000/XP Disk Management interface, the only operation you can perform in the interface is drive-letter editing.

Tools

The Tools menu allows you to easily launch an external Disk Administrator window to run Locksmith to change local account password of Windows NT/2000/XP installations on client systems.

Managing Client Disks

When running Windows NT 4.0, you can use Disk Administrator (or PowerQuest Corporation’s Partition Magic) to partition and format drives mounted by Remote Recover.

Because Disk Administrator will not detect new drives that are mounted once it has started, you should mount all disks you intend to work with prior to starting Disk Administrator. For best results, perform the steps as follows:

  • Disconnect from all Remote Recover clients (if any are currently connected).

  • Mount those disks you wish to use with Disk Administrator.

  • Start Disk Administrator.

  • Perform all disk modifications.

  • Exit Disk Administrator.

  • Unmount the Remote Recover disks.


Using Locksmith

If you are unable to logon to a system because you have lost the local administrator password or because the administrative password has been locked out, use the Remote Recover Locksmith utility to reset the password to a known value and unlock the account. The Locksmith wizard, accessible from the Locksmith menu entry in the Tools menu, guides you through the process of selecting the account for which you want to change the password and entering the new password.

Locksmith presents the list of Remote Recover client volumes so that you can select the system directory (e.g. \Winnt) of the installation for which you wish to change a password. The account you select will have the new password you specify and be unlocked the next time you boot normally into the system you are repairing.

Note that you will lose a previous change if you rerun Locksmith to change another password before booting the system normally. Note also that Locksmith requires the System Registry hive to be intact.


Specifying Client Machine IP Addresses

If the client system you wish to connect to is not part of your local subnet it will not be automatically detected by Remote Recover. In this situation you must manually specify the IP address of the client machine.

Use the File|Add IP menu option to have Remote Recover to search for a client system at a specific IP address:

You may specify any number of IP addresses in this dialog. It is not necessary for every IP address specified to have a client running; if a client is not found at a specified address it is simply ignored.


Advanced Client Configuration

You can access options that modify the behavior of a Remote Recover client during the creation of a client diskette or PXE boot image by selecting the Advanced button on the Client Target page of the Remote Recover Client Wizard. You should use these options only if you encounter problems with default settings or are instructed to do so by Winternals technical support.

Read Only Mode

Do not allow writes to the underlying disk(s). This is useful when a volume on the client disk may be damaged and performing writes may cause additional damage.

Alternate Network Port

By default Remote Recover connects to client systems on port 18002 and 18003. Port 18002 is the Remote Recover “PING” port to which network broadcasts are sent when trying to locate client systems that are on-line, while 18003 Is used to establish persistent connections once a client is identified. You may select a different set of ports to use with this option. Remote Recover will then use the selected port and the next greater port for communication.

Disable Extended INT 13

This option configures the client to not use Extended INT 13 BIOS calls to access disks. This should be used only if the client hangs or behaves incorrectly when accessing the disk. This option is disabled when you create a PXE boot image because the Remote Recover PXE client uses PXE support for disk access.

Disable ASPI

Checking this option directs the client to not attempt using ASPI (Advanced SCSI Programming Interface) to access disks. This option should be used only if the client hangs or behaves incorrectly when initializing. This option is disabled when you create a PXE boot image because the Remote Recover PXE client uses PXE support for disk access.

Verbose Mode

When this option is selected the client prints detailed information about the disks it detects as it is initializing.


Client Does Not Boot Correctly

If the client program has problems booting the most likely cause is either that the wrong network interface card (NIC) driver is being used, or the parameters for the NIC are incorrect. The most common symptom is that the NET START NETBIND command (the first command executed during the client’s boot process) indicates that it is unable to locate a network adapter, or that the protocol manager has reported a hardware failure.

Network Problems

If any command or driver reports errors during the boot process the client program will not run correctly. In order to resolve NIC driver problems we recommend the following steps:

  • Download the latest NDIS2 driver from the NIC manufacturer. NDIS2 drivers are typically provided in the section for MS-DOS or Windows for Workgroups 3.1 drivers.

  • If your NIC driver includes a configuration program, run the configuration program in order to determine the current configuration settings of the NIC. This information varies from card to card, but can include things such as the IRQ, I/O address, DMA channel, Memory address, Adapter slot, etc. If your NIC is configured to operate as a Plug and Play device, it may be necessary to disable Plug and Play in order for it to operate with the NDIS2 driver.

  • Run the Client Setup program. When you reach the screen that asks you to confirm Adapter Resources used by your NIC, ensure that the settings match those returned by the NIC configuration program. If they do not match use the Change button to modify the settings.

  • If you still have problems please contact our Technical Support for additional assistance.

Hard Disk Problems

If the Remote Recover Client does not recognize your drive, or it indicates that your BIOS is not correctly reporting the capacity of your hard disk then your system’s BIOS does not completely support large capacity drives. Since Windows NT/2000 does not use the BIOS for accessing drives it is possible to encounter this problem on an otherwise correctly running system. There are several solutions available:

  • Check your system’s BIOS to ensure that Extended INT 13 support is enabled. Extended INT 13 is a feature of newer BIOS that provides support for large disks.

  • Upgrade your system’s BIOS to a more recent version. Older BIOS typically do not support large disks correctly. If available, upgrade your system BIOS to the most recent version.

  • If the disk is a SCSI drive ensure that BIOS support and Extended INT 13 support are enabled in your SCSI adapter.

  • If the disk is a SCSI drive you can add ASPI drivers to the Remote Recover Client disk. ASPI drivers allow Remote Recover to access the disk using the native SCSI interface, rather than relying on the INT 13 interface that SCSI disks often emulate. Contact the manufacturer of your system and/or SCSI adapter to acquire DOS ASPI drivers (ASPI drivers for the most common SCSI adapters are provided with Windows 98 in the \Windows\Command\EBD directory, and are of the form “ASPI*.SYS”). Drivers must be copied to the Remote Recover Client diskette, and a line added to the CONFIG.SYS file for each driver; e.g.: “DEVICE=ASPI4DOS.SYS”.

If you continue to have problems please contact our Technical Support staff.


How to Receive Technical Support

Technical Support

For access to the latest updates and FAQs on Remote Recover, please visit our support web site at:

www.winternals.com/support

You can contact technical support at

support@winternals.com

or by calling

1-512-330-9861

Before contacting support, please determine if the problem is reproducible and record the steps necessary to reproduce it. In addition, please have the following information about your system ready:

  • Version of Windows NT, Windows 2000 or Windows XP including Service Pack

  • Memory size, disk types, and file system types

  • Version of Remote Recover

  • Your license number as listed in the Help… About Remote Recover screen